Description

It would be nice not to have to login to Foreman's machine to execute custom tasks.

The interface could allow us to schedule and/or execute tasks as "foreman" system user such as:

- reports:expire

- puppet:import:hosts_and_facts

- reports:summarize days...

- a custom task (non-rake) (For example: to refresh your modules from a git repository)

- etc...

I thought about implementing this with something like: puppet module (exec/refreshonly) + foreman parameters + puppetrun, but it

feels like an ugly workaround and I can't easily trigger the tasks individually.

Related issues:

Related to Foreman - Feature #1018: Add rundeck integration support Closed 06/30/2011

Related to Foreman - Feature #1249: Add ability to schedule changes New 10/21/2011

History

#1 - 03/29/2011 05:04 PM - Marcello de Sousa

Trying to be a little more specific: my suggestion is to have a page in the UI dedicated to tasks.

Foreman could be distributed with a default sample of it's tasks (import classes, hosts, expire reports, etc) and we should be able to:

- add new custom ones

- modify the existing ones

- schedule them

- trigger them

#2 - 04/12/2011 07:26 AM - Ohad Levy

- Target version deleted (0.3)

#3 - 11/17/2011 03:45 AM - Ohad Levy

- Assignee deleted (Ohad Levy)

#4 - 10/01/2014 07:15 AM - Ohad Levy

- Related to Feature #7514: add foreman tasks into core added

#5 - 10/01/2014 07:16 AM - Ohad Levy

- Related to deleted (Feature #7514: add foreman tasks into core)

#6 - 08/17/2015 09:20 AM - Ohad Levy

- Description updated

- Status changed from New to Resolved
This is now possible via the Foreman Remote Execution Plugin.
